Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf.tosvg
Class WMFPainter

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.WMFPainter

public class WMFPainter
extends java.lang.Object

Core class for rendering the WMF image. It is able to render a WMF file in a `Graphics` object.

Field Summary
`static int` | `BRUSH`
`static int` | `FONT`
`static int` | `NULL_BRUSH`
`static int` | `NULL_PEN`
`static int` | `PALETTE`
`static int` | `PEN`

Constructor Summary
`WMFPainter(WMFRecordStore currentStore)` Basic constructor, initializes the storage.

Method Summary
`WMFRecordStore` | `getRecordStore()` Returns the WMFRecordStore this WMFPainter renders
`void` | `paint(java.awt.Graphics g)` Renders the WMF image(s).
`void` | `setRecordStore(WMFRecordStore currentStore)` Sets the WMFRecordStore this WMFPainter should use to render

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PEN

    public static final int PEN

See Also:
  Constant Field Values

### BRUSH

    public static final int BRUSH

See Also:
  Constant Field Values

### FONT

    public static final int FONT

See Also:
  Constant Field Values

### NULL_PEN

    public static final int NULL_PEN

See Also:
  Constant Field Values

### NULL_BRUSH

    public static final int NULL_BRUSH

See Also:
  Constant Field Values

### PALETTE

    public static final int PALETTE

See Also:
  Constant Field Values

Constructor Detail

### WMFPainter

    public WMFPainter(WMFRecordStore currentStore)

  Basic constructor, initializes the storage.

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Renders the WMF image(s).

### setRecordStore

    public void setRecordStore(WMFRecordStore currentStore)

  Sets the WMFRecordStore this WMFPainter should use to render

### getRecordStore

    public WMFRecordStore getRecordStore()

  Returns the WMFRecordStore this WMFPainter renders

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.